{% extends "users/userspace.html" %}

{% block content %}
    <section class="container px-5 mt-5">
        <div class="d-flex flex-row flex-wrap justify-content-between align-items-center">
            <h1>Mes contrats</h1>
            <a href="{% url 'register_adherent_distributions' %}" class="btn btn-success">
                <i class="fas fa-plus"></i>
                Nouveau contrat
            </a>
        </div>

        {{ PAGE_MES_CONTRATS|safe }}

            <h2 class="mt-4">Mes contrats en cours</h2>
            {% include "distribs/contrat/my_contrats_table.html" with contrats=active_contrats %}
            {% pagination_widget active_contrats request 'active_page' %}

            <hr>

            <h2 class="mt-4">Mes contrats terminés</h2>
            {% include "distribs/contrat/my_contrats_table.html" with contrats=expired_contrats %}
            {% pagination_widget expired_contrats request 'expired_page' %}

    </section>
{% endblock %}